package intrinsic.mx.managers.dragClasses;

public class DragProxy extends intrinsic.mx.core.UIComponent {

	/** Accessors */

	/** Variables */
	public double xOffset;
	public boolean allowMove;
	public double startY;
	public String action;
	public double startX;
	public intrinsic.mx.core.IUIComponent target;
	public intrinsic.mx.core.DragSource dragSource;
	public intrinsic.mx.core.IUIComponent dragInitiator;
	public double yOffset;
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public DragProxy() {
}

public DragProxy(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native void mouseMoveHandler(intrinsic.flash.events.MouseEvent arg0);
public native void mouseUpHandler(intrinsic.flash.events.MouseEvent arg0);
public native void mouseLeaveHandler(intrinsic.flash.events.Event arg0);
public native void checkKeyEvent(intrinsic.flash.events.KeyboardEvent arg0);
public native void showFeedback();
public native void initialize();
public native void stage_mouseMoveHandler(intrinsic.flash.events.MouseEvent arg0);

}
